%define usbdropdir %(pkg-config libpcsclite --variable="usbdropdir" 2>/dev/null)
%define	major	0
%define libname %mklibname %name %major
%define develname %mklibname %name -d
%define build_version 100709

Summary:	ACS ACR 38 USB (acr38u) Smartcard Reader driver for PCSC-lite
Name:		acr38u
Version:	1.7.10
Release:	%mkrel 4
License:	GPL
Group:		System/Kernel and hardware
URL:		http://www.acs.com.hk/acr38_driversmanual.asp
Source0:	http://www.acs.com.hk/download/ACR38_LINUX_%{build_version}_P.tar.gz
Patch0:		acr38u-linkage_fix.diff
BuildRequires:	pcsc-lite-devel >= 1.3.1
Requires(post): pcsc-lite
Requires(postun): pcsc-lite
Requires:	pcsc-lite
Requires:	%{libname} = %{version}-%{release}

%description
CCID ACR38u Smart Card reader driver for PCSC-lite.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{libname}
Shared library for the CCID ACR38u Smart Card reader driver for
PCSC-lite.

%package -n	%{develname}
Summary:	Development library for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files for the CCID ACR38u Smart Card reader driver for
PCSC-lite.

%prep
%setup -q -n ACR38_LINUX_%{build_version}_P
%patch0 -p0

%build
rm -rf autom4te.cache
autoreconf -fis

%configure2_5x \
	--disable-dependency-tracking \
	--disable-static \
	--enable-usbdropdir="%{buildroot}%{usbdropdir}"
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

# move the .pc file to the correct place on x86-64
%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/pkgconfig
mv %{buildroot}%{_prefix}/lib/pkgconfig/libacr38ucontrol.pc %{buildroot}%{_libdir}/pkgconfig/libacr38ucontrol.pc
%endif

%post
/sbin/service pcscd condrestart > /dev/null 2>/dev/null || :

%postun
/sbin/service pcscd condrestart > /dev/null 2>/dev/null || :

%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README* doc/README*
%{usbdropdir}/*

%files -n %{libname}
%defattr(-, root, root, 0755)
%{_libdir}/*.so.*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.7.10-4.mga3
+ Revision: 345261
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 fwang <fwang> 1.7.10-3.mga3
+ Revision: 275190
- update file list

* Tue Mar 29 2011 steletch <steletch> 1.7.10-2.mga1
+ Revision: 78905
- Clean spec file
- imported package acr38u

